Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Macros | Typedefs | Enumerations | Functions
parse.h File Reference

Go to the source code of this file.

## Data Structures
union | YYSTYPE
struct | YYLTYPE

## Macros
#define | YYDEBUG 0
#define | YYTOKENTYPE
#define | YYSTYPE_IS_TRIVIAL 1
#define | YYSTYPE_IS_DECLARED 1
#define | YYLTYPE_IS_DECLARED 1
#define | YYLTYPE_IS_TRIVIAL 1

## Typedefs
typedef union YYSTYPE | YYSTYPE
typedef struct YYLTYPE | YYLTYPE

## Enumerations
enum | yytokentype { END_OF_INPUT = 0, keyword_class = 258, keyword_module = 259, keyword_def = 260, keyword_undef = 261, keyword_begin = 262, keyword_rescue = 263, keyword_ensure = 264, keyword_end = 265, keyword_if = 266, keyword_unless = 267, keyword_then = 268, keyword_elsif = 269, keyword_else = 270, keyword_case = 271, keyword_when = 272, keyword_while = 273, keyword_until = 274, keyword_for = 275, keyword_break = 276, keyword_next = 277, keyword_redo = 278, keyword_retry = 279, keyword_in = 280, keyword_do = 281, keyword_do_cond = 282, keyword_do_block = 283, keyword_do_LAMBDA = 284, keyword_return = 285, keyword_yield = 286, keyword_super = 287, keyword_self = 288, keyword_nil = 289, keyword_true = 290, keyword_false = 291, keyword_and = 292, keyword_or = 293, keyword_not = 294, modifier_if = 295, modifier_unless = 296, modifier_while = 297, modifier_until = 298, modifier_rescue = 299, keyword_alias = 300, keyword_defined = 301, keyword_BEGIN = 302, keyword_END = 303, keyword__LINE__ = 304, keyword__FILE__ = 305, keyword__ENCODING__ = 306, tIDENTIFIER = 307, tFID = 308, tGVAR = 309, tIVAR = 310, tCONSTANT = 311, tCVAR = 312, tLABEL = 313, tINTEGER = 314, tFLOAT = 315, tRATIONAL = 316, tIMAGINARY = 317, tCHAR = 318, tNTH_REF = 319, tBACK_REF = 320, tSTRING_CONTENT = 321, tREGEXP_END = 322, tSP = 323, tUPLUS = 132, tUMINUS = 133, tPOW = 134, tCMP = 135, tEQ = 140, tEQQ = 141, tNEQ = 142, tGEQ = 139, tLEQ = 138, tANDOP = 148, tOROP = 149, tMATCH = 143, tNMATCH = 144, tDOT2 = 128, tDOT3 = 129, tBDOT2 = 130, tBDOT3 = 131, tAREF = 145, tASET = 146, tLSHFT = 136, tRSHFT = 137, tANDDOT = 150, tCOLON2 = 147, tCOLON3 = 324, tOP_ASGN = 325, tASSOC = 326, tLPAREN = 327, tLPAREN_ARG = 328, tRPAREN = 329, tLBRACK = 330, tLBRACE = 331, tLBRACE_ARG = 332, tSTAR = 333, tDSTAR = 334, tAMPER = 335, tLAMBDA = 336, tSYMBEG = 337, tSTRING_BEG = 338, tXSTRING_BEG = 339, tREGEXP_BEG = 340, tWORDS_BEG = 341, tQWORDS_BEG = 342, tSYMBOLS_BEG = 343, tQSYMBOLS_BEG = 344, tSTRING_END = 345, tSTRING_DEND = 346, tSTRING_DBEG = 347, tSTRING_DVAR = 348, tLAMBEG = 349, tLABEL_END = 350, tLOWEST = 351, tUMINUS_NUM = 352, tLAST_TOKEN = 353 }

## Functions
int | yyparse (struct parser_params *p)

## Macro Definition Documentation

## ◆ YYDEBUG

#define YYDEBUG 0

Definition at line 37 of file parse.h.

## ◆ YYLTYPE_IS_DECLARED

#define YYLTYPE_IS_DECLARED 1

Definition at line 202 of file parse.h.

## ◆ YYLTYPE_IS_TRIVIAL

#define YYLTYPE_IS_TRIVIAL 1

Definition at line 203 of file parse.h.

## ◆ YYSTYPE_IS_DECLARED

#define YYSTYPE_IS_DECLARED 1

Definition at line 189 of file parse.h.

## ◆ YYSTYPE_IS_TRIVIAL

#define YYSTYPE_IS_TRIVIAL 1

Definition at line 188 of file parse.h.

## ◆ YYTOKENTYPE

#define YYTOKENTYPE

Definition at line 45 of file parse.h.

## Typedef Documentation

## ◆ YYLTYPE

typedef struct YYLTYPE YYLTYPE

Definition at line 194 of file parse.h.

## ◆ YYSTYPE

typedef union YYSTYPE YYSTYPE

Definition at line 187 of file parse.h.

## Enumeration Type Documentation

## ◆ yytokentype

enum yytokentype

Enumerator
END_OF_INPUT |
keyword_class |
keyword_module |
keyword_def |
keyword_undef |
keyword_begin |
keyword_rescue |
keyword_ensure |
keyword_end |
keyword_if |
keyword_unless |
keyword_then |
keyword_elsif |
keyword_else |
keyword_case |
keyword_when |
keyword_while |
keyword_until |
keyword_for |
keyword_break |
keyword_next |
keyword_redo |
keyword_retry |
keyword_in |
keyword_do |
keyword_do_cond |
keyword_do_block |
keyword_do_LAMBDA |
keyword_return |
keyword_yield |
keyword_super |
keyword_self |
keyword_nil |
keyword_true |
keyword_false |
keyword_and |
keyword_or |
keyword_not |
modifier_if |
modifier_unless |
modifier_while |
modifier_until |
modifier_rescue |
keyword_alias |
keyword_defined |
keyword_BEGIN |
keyword_END |
keyword__LINE__ |
keyword__FILE__ |
keyword__ENCODING__ |
tIDENTIFIER |
tFID |
tGVAR |
tIVAR |
tCONSTANT |
tCVAR |
tLABEL |
tINTEGER |
tFLOAT |
tRATIONAL |
tIMAGINARY |
tCHAR |
tNTH_REF |
tBACK_REF |
tSTRING_CONTENT |
tREGEXP_END |
tSP |
tUPLUS |
tUMINUS |
tPOW |
tCMP |
tEQ |
tEQQ |
tNEQ |
tGEQ |
tLEQ |
tANDOP |
tOROP |
tMATCH |
tNMATCH |
tDOT2 |
tDOT3 |
tBDOT2 |
tBDOT3 |
tAREF |
tASET |
tLSHFT |
tRSHFT |
tANDDOT |
tCOLON2 |
tCOLON3 |
tOP_ASGN |
tASSOC |
tLPAREN |
tLPAREN_ARG |
tRPAREN |
tLBRACK |
tLBRACE |
tLBRACE_ARG |
tSTAR |
tDSTAR |
tAMPER |
tLAMBDA |
tSYMBEG |
tSTRING_BEG |
tXSTRING_BEG |
tREGEXP_BEG |
tWORDS_BEG |
tQWORDS_BEG |
tSYMBOLS_BEG |
tQSYMBOLS_BEG |
tSTRING_END |
tSTRING_DEND |
tSTRING_DBEG |
tSTRING_DVAR |
tLAMBEG |
tLABEL_END |
tLOWEST |
tUMINUS_NUM |
tLAST_TOKEN |

Definition at line 46 of file parse.h.

## Function Documentation

## ◆ yyparse()

int yyparse | ( | struct parser_params * | p | ) |

Definition at line 5636 of file ripper.c.

References RUBY_SET_YYLLOC_OF_NONE, YY_, YY_INITIAL_VALUE, YYABORT, YYACCEPT, YYDPRINTF, YYEMPTY, YYFINAL, YYINITDEPTH, yyalloc::yyls_alloc, yylval, YYMAXDEPTH, YYSIZE_T, yyalloc::yyss_alloc, YYSTACK_ALLOC, YYSTACK_BYTES, YYSTACK_FREE, YYSTACK_RELOCATE, and yyalloc::yyvs_alloc.